Summary:        Declare author-only dependencies
Name:           perl-Module-Install-AuthorRequires
Version:        0.02
Release:    5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Install-AuthorRequires
Source0:        https://cpan.metacpan.org/authors/id/F/FL/FLORA/Module-Install-AuthorRequires-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make perl-generators perl(inc::Module::Install)
BuildRequires:  perl(Module::Install) perl(base) perl(Module::Install::Base) perl(Test::More)

%description
Modules often have optional requirements, for example dependencies that
are useful for (optional) tests, but not required for the module to
work properly.

Simply using this module "author_requires" command allows to specify such
developer specific dependencies in a proper way.

%prep
%autosetup -n Module-Install-AuthorRequires-%{version}
rm -r inc
sed -i -e '/^inc/ d' MANIFEST 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.02-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.02-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.02-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.02-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 cunshunxia <cunshunxia@tencent.com> - 0.02-1
- initial build
